# Module `gears.object.properties`

An helper module to map userdata __index and __newindex entries to lua classes.

### Info:

- Copyright: 2016 Emmanuel Lepage-Vallee
- Author: Emmanuel Lepage-Vallee <elv1313@gmail.com>

## Functions

object.capi_index_fallback (class[, args={}]) | Add the missing properties handler to a CAPI object such as client/tag/screen.

## Functions

Methods

object.capi_index_fallback (class[, args={}])

  Add the missing properties handler to a CAPI object such as client/tag/screen. Valid args:

  - getter: A smart getter (handle property getter itself)
  - getter_fallback: A dumb getter method (don't handle individual property getter)
  - getter_class: A module with individual property getter/setter
  - getter_prefix: A special getter prefix (like "get" or "get_" (default))
  - setter: A smart setter (handle property setter itself)
  - setter_fallback: A dumb setter method (don't handle individual property setter)
  - setter_class: A module with individual property getter/setter
  - setter_prefix: A special setter prefix (like "set" or "set_" (default))
  - auto_emit: Emit "property::__" automatically (default: false). This is ignored when setterfallback is set or a setter is found
  - class A standard luaobject derived object
  - args table A set of accessors configuration parameters (default {})

generated by LDoc 1.4.6 Last updated 2017-01-20 01:17:18